From 2ba7e36786d157ac15152d8f513f642ecb2c9b5d Mon Sep 17 00:00:00 2001
From: Marek Goldmann <goldmann@fedoraproject.org>
Date: Sat, 28 Jul 2012 12:26:35 +0200
Subject: [PATCH 12/25] Change groovy-all references to valid package names

---
 .../groovy/org/gradle/build/docs/dsl/ExtractDslMetaDataTask.groovy    | 2 +-
 .../main/groovy/org/gradle/build/docs/dsl/SourceMetaDataVisitor.java  | 2 +-
 .../groovy/scripts/internal/DefaultScriptCompilationHandler.java      | 4 ++--
 .../org/gradle/process/internal/child/SerializableMockHelper.groovy   | 4 ++--
 4 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/buildSrc/src/main/groovy/org/gradle/build/docs/dsl/ExtractDslMetaDataTask.groovy b/buildSrc/src/main/groovy/org/gradle/build/docs/dsl/ExtractDslMetaDataTask.groovy
index a1589b8..3e56ac5 100644
--- a/buildSrc/src/main/groovy/org/gradle/build/docs/dsl/ExtractDslMetaDataTask.groovy
+++ b/buildSrc/src/main/groovy/org/gradle/build/docs/dsl/ExtractDslMetaDataTask.groovy
@@ -15,7 +15,7 @@
  */
 package org.gradle.build.docs.dsl
 
-import groovyjarjarantlr.collections.AST
+import antlr.collections.AST
 import org.codehaus.groovy.antlr.AntlrASTProcessor
 import org.codehaus.groovy.antlr.SourceBuffer
 import org.codehaus.groovy.antlr.UnicodeEscapingReader
diff --git a/buildSrc/src/main/groovy/org/gradle/build/docs/dsl/SourceMetaDataVisitor.java b/buildSrc/src/main/groovy/org/gradle/build/docs/dsl/SourceMetaDataVisitor.java
index 7e4ee6a..f450d0a 100644
--- a/buildSrc/src/main/groovy/org/gradle/build/docs/dsl/SourceMetaDataVisitor.java
+++ b/buildSrc/src/main/groovy/org/gradle/build/docs/dsl/SourceMetaDataVisitor.java
@@ -15,7 +15,7 @@
  */
 package org.gradle.build.docs.dsl;
 
-import groovyjarjarantlr.collections.AST;
+import antlr.collections.AST;
 import org.apache.commons.lang.StringUtils;
 import org.codehaus.groovy.antlr.GroovySourceAST;
 import org.codehaus.groovy.antlr.LineColumn;
diff --git a/subprojects/core/src/main/groovy/org/gradle/groovy/scripts/internal/DefaultScriptCompilationHandler.java b/subprojects/core/src/main/groovy/org/gradle/groovy/scripts/internal/DefaultScriptCompilationHandler.java
index aaa5e91..ed8b94e 100644
--- a/subprojects/core/src/main/groovy/org/gradle/groovy/scripts/internal/DefaultScriptCompilationHandler.java
+++ b/subprojects/core/src/main/groovy/org/gradle/groovy/scripts/internal/DefaultScriptCompilationHandler.java
@@ -19,7 +19,7 @@ package org.gradle.groovy.scripts.internal;
 import groovy.lang.GroovyClassLoader;
 import groovy.lang.GroovyCodeSource;
 import groovy.lang.Script;
-import groovyjarjarasm.asm.ClassWriter;
+import org.objectweb.asm.ClassWriter;
 import org.apache.commons.lang.StringUtils;
 import org.codehaus.groovy.ast.expr.ConstantExpression;
 import org.codehaus.groovy.ast.stmt.ReturnStatement;
@@ -90,7 +90,7 @@ public class DefaultScriptCompilationHandler implements ScriptCompilationHandler
                     // Groovy will only put the filename into the class, but that does not help a debugger for Gradle
                     // because it does not know where Gradle scripts might live.
                     @Override
-                    protected groovyjarjarasm.asm.ClassVisitor createClassVisitor() {
+                    protected org.objectweb.asm.ClassVisitor createClassVisitor() {
                         return new ClassWriter(ClassWriter.COMPUTE_MAXS) {
                             // ignore the sourcePath that is given by Groovy (this is only the filename) and instead
                             // insert the full path if our script source has a source file
diff --git a/subprojects/core/src/test/groovy/org/gradle/process/internal/child/SerializableMockHelper.groovy b/subprojects/core/src/test/groovy/org/gradle/process/internal/child/SerializableMockHelper.groovy
index 252a31a..e584ecf 100644
--- a/subprojects/core/src/test/groovy/org/gradle/process/internal/child/SerializableMockHelper.groovy
+++ b/subprojects/core/src/test/groovy/org/gradle/process/internal/child/SerializableMockHelper.groovy
@@ -18,8 +18,8 @@
 
 package org.gradle.process.internal.child
 
-import groovyjarjarasm.asm.ClassVisitor
-import groovyjarjarasm.asm.ClassWriter
+import org.objectweb.asm.ClassVisitor
+import org.objectweb.asm.Writer
 import java.util.concurrent.atomic.AtomicInteger
 import org.codehaus.groovy.ast.ClassNode
 import org.codehaus.groovy.control.CompilationUnit
-- 
1.7.11.2

